# Poco::Net

# class HTTPFixedLengthStreamBuf

Library: Net
Package: HTTP
Header: Poco/Net/HTTPFixedLengthStream.h

## Description

This is the streambuf class used for reading and writing fixed-size HTTP message bodies.

At most a given number of bytes are read or written.

## Inheritance

Direct Base Classes: HTTPBasicStreamBuf

All Base Classes: HTTPBasicStreamBuf

## Member Summary

Member Functions: readFromDevice, writeToDevice

## Types Aliases

### ContentLength

using ContentLength = Poco::Int64;

### openmode

using openmode = HTTPBasicStreamBuf::openmode;

## Constructors

### HTTPFixedLengthStreamBuf

HTTPFixedLengthStreamBuf(
HTTPSession & session,
ContentLength length,
openmode mode
);

## Destructor

### ~HTTPFixedLengthStreamBuf

~HTTPFixedLengthStreamBuf();

## Member Functions

### readFromDevice

int readFromDevice(
char * buffer,
std::streamsize length
);

### writeToDevice

int writeToDevice(
const char * buffer,
std::streamsize length
);